This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 483649 - Review Request: perl-MooseX-Workers - Provides a simple sub-process management for asynchronous tasks
Review Request: perl-MooseX-Workers - Provides a simple sub-process manageme...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-02 14:04 EST by Allisson Azevedo
Modified: 2012-01-15 17:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-06 11:18:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Allisson Azevedo 2009-02-02 14:04:15 EST
Spec URL: http://allisson.fedorapeople.org/packages/perl-MooseX-Workers/perl-MooseX-Workers.spec

SRPM URL: http://allisson.fedorapeople.org/packages/perl-MooseX-Workers/perl-MooseX-Workers-0.04-1.fc10.src.rpm

Description: MooseX::Workers is a Role that provides easy delegation of long-running
tasks into a managed child process. Process managment is taken care of via
POE and it's POE::Wheel::Run module.
Comment 1 Parag AN(पराग) 2009-02-02 21:31:47 EST
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1100468
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
756b0374f889cd9c1898750dabc080f2  MooseX-Workers-0.04.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
All tests successful.
Files=4, Tests=16,  2 wallclock secs ( 0.01 usr  0.00 sys +  1.80 cusr  0.13 csys =  1.94 CPU)
+ Package perl-MooseX-Workers-0.04-1.fc11 ->
Provides: perl(MooseX::Workers) = 0.04 perl(MooseX::Workers::Engine) perl(MooseX::Workers::Engine::PreforkPoe)
Requires: perl(Moose) perl(Moose::Role) perl(MooseX::AttributeHelpers) perl(POE) perl(strict)

 APPROVED.
Comment 2 Allisson Azevedo 2009-02-03 05:38:02 EST
New Package CVS Request
=======================
Package Name: perl-MooseX-Workers
Short Description: Provides a simple sub-process management for asynchronous tasks
Owners: allisson
Branches: F-9 F-10
Comment 3 Kevin Fenzi 2009-02-05 21:49:56 EST
cvs done.
Comment 4 Iain Arnell 2012-01-15 04:26:19 EST
Package Change Request
======================
Package Name: perl-MooseX-Workers
InitialCC: perl-sig

Please add perl-sig to this package with watchbugzilla and watchcommits bits on all fedora branches.
Comment 5 Gwyn Ciesla 2012-01-15 17:18:21 EST
Done.

Note You need to log in before you can comment on or make changes to this bug.